MP4(3)

NAME

MP4SetVideoProfileLevel - Sets the minimum MPEG-4 video profile and level required to render the contents of the file

SYNTAX

#include <mp4.h>

bool MP4SetVideoProfileLevel(
        MP4FileHandle hFile,
        u_int8_t profileLevel
)

ARGUMENTS

hFile
    Specifies the mp4 file to which the operation applies.

RETURN VALUES

Upon success, true (1). Upon an error, false (0).

DESCRIPTION

MP4SetVideoProfileLevel sets the minumum profile/level of MPEG-4 video support necessary to render the contents of the file.

ISO/IEC 14496-1:2001 MPEG-4 Systems defines the following values:
    0x00    Reserved
    0x01    Simple Profile @ Level 3
    0x02    Simple Profile @ Level 2
    0x03    Simple Profile @ Level 1
    0x04    Simple Scalable Profile @ Level 2
    0x05    Simple Scalable Profile @ Level 1
    0x06    Core Profile @ Level 2
    0x07    Core Profile @ Level 1
    0x08    Main Profile @ Level 4
    0x09    Main Profile @ Level 3
    0x0A    Main Profile @ Level 2
    0x0B    N-Bit Profile @ Level 2
    0x0C    Hybrid Profile @ Level 2
    0x0D    Hybrid Profile @ Level 1
    0x0E    Basic Animated Texture @ Level 2
    0x0F    Basic Animated Texture @ Level 1
    0x10    Scalable Texture @ Level 3
    0x11    Scalable Texture @ Level 2
    0x12    Scalable Texture @ Level 1
    0x13    Simple Face Animation @ Level 2
    0x14    Simple Face Animation @ Level 1
    0x15-0x7F    Reserved
    0x80-0xFD    User private
    0xFE    No audio profile specified
    0xFF    No audio required

SEE ALSO

MP4(3) MP4GetVideoProfileLevel(3)